# Subrace-mod
Subrace mod for Enhanced Edition games.

Topic on forum: https://www.gibberlings3.net/forums/topic/32267-subrace-mod/

The mod adds subraces from the game Icewind Dale 2 to the Enhanced Edition games. Installation requires game versions 2.5+.
There is a choice when creating a character. Various UIs are supported, only multiplayer and pre-character creation are not supported.

To check the subrace, the local variable SUBRACE is set. You can check the subrace using this  variable with TriggerOverride(Player1,Global ("SUBRACE","LOCALS",3)).

Available Values:
1: Aasimar
2: Tiefling
3: Drow
4: Wild Elf
5: Gold Dwarf
6: Gray Dwarf (Duergar)
7: Strongheart Halfling
8: Ghostwise Halfling
9: Deep Gnome (Svirfneblin)

Subrace has also been added to Viconia(Drow), Baeloth(Drow), Haerdalis(Tiefling), and Caelar(Aasimar). They can be checked in the same way. 

AASIMAR
Aasimar carry the blood of a celestial, the begotten offspring from the union of a mortal and a deity.  Aasimar are usually good-aligned and fight against evil in the world.  They typically have fair skin, golden eyes, and often a birthmark in the shape of the deity's holy symbol.  Aasimar are blessed with insight and personal magnetism and are typically paladins.

Advantages:
 +1 Wisdom
 +1 Charisma
 Acid, cold, and electrical resistance: +20
 Sunscorch 1/Day
 Darkvision
 
Disadvantages:
 Gets only 95% of experience

TIEFLING
The infernal counterpart to aasimar, tieflings are humans with a hint of the diabolical in their bloodline. Though their appearance is mostly human, they often have telltale signs that belie their ancestry. Tieflings usually have dusky skin and dark or reddish hair. Though many sport small horns, cat eyes, or other bizarre features, most tieflings try to hide their abnormalities from humans.

Advantages:
 +1 Intelligence
 +1 Dexterity
 Fire, cold, and electrical resistance: +20 
 +10 Hide in shadows and Move silently
 Blindness 1/Day
 Darkvision

Disadvantages:
 -1 Charisma
 Gets only 95% of experience

DROW
Dark elves, also known as drow, are the subterranean cousins of moon elves. Their black skin and pale hair are a curse for their allegiance with the spider goddess, Lolth. Drow societies are usually ruled by cruel priestesses of Lolth and their noble houses. Dark elves are known for their arrogance, cruelty, and penchant for civil war.

Advantages:
 +1 Intelligence
 +1 Charisma
 +2 Search traps
 50% Magic resistance
 +1 to Saving throws against spells
 Faerie Fire 3/day

Disadvantages:
 Light Blindness: -1 THAC0 and save throws in daylight
 Gets only 90% of experience

WILD ELF
The rare wild elves are rarely seen by others, because they live in the heart of thick forests and they have incredible skill at keeping hidden.  Also called green elves, their skin tends to be dark brown, and their hair ranges from black to light brown, lightening to silvery white with age.

Advantages:
 +1 Constitution

Disadvantages:
 -1 Intelligence

STRONGHEART HALFLING
While the lightfoot halflings value the experience of travel and the sight of new lands and peoples, the strongheart halflings are a more organized, orderly, and industrious race.  Strongheart halflings often surprise those more familiar with their wandering lightfoot cousins with their confident and readily competitive nature.

Advantages:
 +1 Axe skill

Disadvantages:
 no

GHOSTWISE HALFLING
Ghostwise halflings are the feral, reclusive cousins of lightfoot and strongheart halflings. They are found most often in the southern forests of the Realms living in small communities. Ghostwise halflings are rarely seen in large cities, but occasionally set out to explore the world for reasons known only to them. Visitors to ghostwise settlements often report that the halflings have kinship so tight with their fellows that they can communicate without speaking.

Advantages:
 +5 Search traps (for thieves)
 Set trap 1/Day (for thieves)

Disadvantages:
 no

DEEP GNOME
Also known as svirfneblin, the deep gnomes of the Realms are a secretive, mysterious race. Found in the deepest caverns of the Underdark, the svirfneblin live in constant fear of slavery or destruction at the hands or dark elves, mind flayers, and duergar. Deep gnomes are legendary for their ability to handle stone and gems. They have brown or gray skin and gray or white hair.

Advantages:
 +1 Dexterity
 +1 Wisdom
 50% Magic resistance
 +2 Against throwing weapons
 Mirror Image 1/Day.
 Invisibility 1/Day.
 Blur 1/Day.
 Nondetection; +1 racial bonus to all saving throws
 +1 racial bonus to attack rolls against kobolds, goblins, hobgoblins, and bugbears
 Stonecunning: +2 racial bonus on Search checks
 +10 racial bonus on Hide checks, which improves to +20 in darkened areas underground

Disadvantages:
 -1 Strength
 -2 Charisma (-1 if Charisma is less than 3)
 Gets only 85% of experience

GOLD DWARF
In a time when the dwarven race is in sad decline, the gold dwarves of the Realms received a divine gift from Moradin, the Soul Forger. The father of the dwarven gods granted the Thunder Blessing upon his people, resulting in a slow growth of the gold dwarf population. Though its effects may not be felt for decades, gold dwarves are already starting to re-establish themselves in the Realms as shrewd traders and proud, if somewhat haughty, warriors.

Advantages:
 +1 Charisma
 +2 dodge bonus against giants
 +1 +1 racial bonus to attack rolls against aberrations, the bizarre creatures that live in the Underdark

Disadvantages:
 -1 Dexterity

GRAY DWARF
Also known as duergar, the gray dwarves of the Forgotten Realms live even deeper underground than their shield dwarf and gold dwarf cousins. The duergar share little in common with other dwarves and practice slavery in their monstrous subterranean cities. Often motivated by greed and a thirst for power, gray dwarves are known throughout the Realms as devious, efficient warriors. Duergar almost always have gray hair and skin.

Advantages:
 +10 racial bonus on Search checks to notice unusual stonework, such as sliding walls, secret doors, stonework traps and new construction
 +1 racial bonus to saving throws against spells and spell-like effects
 +20 racial bonus on Move Silently checks.  Gray dwarves excel in stealthy movement.
 +2 dodge bonus against giants
 Invisibility 1/day
 Darkvision

Disadvantages:
 -2 Charisma (-1 if Charisma is less than 3)
 Light Blindness: -1 THAC0 and save throws in daylight
 Gets only 90% of experience
